Bug 1576033 - Systemd unit file incorrect
Summary: Systemd unit file incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opensmtpd
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 15:42 UTC by Space Ghost
Modified: 2018-08-31 21:47 UTC (History)
1 user (show)

Fixed In Version: opensmtpd-6.0.3p1-5.fc27 opensmtpd-6.0.3p1-5.fc28 opensmtpd-6.0.3p1-5.el7 opensmtpd-6.0.3p1-5.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-25 21:48:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Space Ghost 2018-05-08 15:42:36 UTC
Description of problem:
ExecStop in opensmtpd.service unit file is referencing a command removed from OpenSMTPD, removing the ExecStop line completely fixes the problem.


Version-Release number of selected component (if applicable): 6.0.3p1-1.el7


How reproducible: reproducable


Steps to Reproduce:
1. yum install opensmtpd
2. systemctl start opensmtpd
3. systemctl stop opensmtpd

Actual results: error in log


Expected results: stop OpenSMTPD


Additional info:

Line in opensmtpd.service:

ExecStop=/usr/sbin/smtpctl stop

"stop" command was removed from smtpctl, now it just requires running kill on pid. Removing that line from the unit file makes it work again.


Using EPEL7 on CentOS 7.

Comment 1 Fedora Update System 2018-08-16 20:57:55 UTC
opensmtpd-6.0.3p1-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-974a92072c

Comment 2 Fedora Update System 2018-08-16 20:58:06 UTC
opensmtpd-6.0.3p1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f8e207bc48

Comment 3 Fedora Update System 2018-08-16 20:58:11 UTC
opensmtpd-6.0.3p1-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb2a0ef569

Comment 4 Fedora Update System 2018-08-16 20:58:17 UTC
opensmtpd-6.0.3p1-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-825313111f

Comment 5 Fedora Update System 2018-08-17 13:35:47 UTC
opensmtpd-6.0.3p1-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f8e207bc48

Comment 6 Fedora Update System 2018-08-17 15:35:40 UTC
opensmtpd-6.0.3p1-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb2a0ef569

Comment 7 Fedora Update System 2018-08-17 15:55:49 UTC
opensmtpd-6.0.3p1-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-825313111f

Comment 8 Fedora Update System 2018-08-17 16:03:38 UTC
opensmtpd-6.0.3p1-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-974a92072c

Comment 9 Fedora Update System 2018-08-25 21:48:24 UTC
opensmtpd-6.0.3p1-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-08-25 22:03:41 UTC
opensmtpd-6.0.3p1-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-08-26 04:50:43 UTC
opensmtpd-6.0.3p1-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-08-26 17:40:21 UTC
opensmtpd-6.0.3p1-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-08-31 19:05:23 UTC
opensmtpd-6.0.3p1-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-08-31 21:47:08 UTC
opensmtpd-6.0.3p1-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.